# Whop SDK for Python

A Python SDK for interacting with the Whop API. This SDK simplifies the process of using Whop's API for tasks like license validation, membership retrieval, the rest of the api usage will be added asap.

## Installation

Install the package using pip:

```bash
pip install whop-sdk-py
```

## Getting Started

To use the Whop SDK, you'll first need to obtain an API key. Follow the steps below:

1. Go to [Whop Developer Settings](https://dash.whop.com/settings/developer).
2. Create a new API Key.

Once you have the API Key, you can initialize the `Whop` class:

```python
from whop import Whop

whop = Whop("your_api_key_here")
```

## Usage

### Validate a License

To validate a license, first retrieve the member ID using a license string, and then validate it:

```python
from whop import Whop

whop = Whop("d7sk-uZpNVFdvWHVedhsadyisagdho3yeoiuahsdo7g")  # Replace with your actual API key
memberID = whop.getMemberID("LIQUID-8BA11B-7831C9FD-ABCDEFG")  # Replace with the actual license
isUser, userData = whop.validateLicense(memberID)

print(isUser)
print(userData)
```
